Subject: Re: bug#39145: 28.0.50; dired: Show broken/circular links in different font

From: Tino Calancha <[email-masked]>
Date: Tue, 25 Aug 2020 19:05:11 +0200 (CEST)

On Tue, 25 Aug 2020, Eli Zaretskii wrote:

>> From: Tino Calancha <[email-masked]>
>> Cc: [email-masked],  [email-masked], [email-masked], [email-masked],
>>  [email-masked], [email-masked]
>> Date: Tue, 25 Aug 2020 18:34:08 +0200
>>
>> There is still something else that worries me.
>>
>> If I have a broken link, and I create the missing target with
>> `dired-create-directory' or `dired-create-empty-file', then
>> I need to manually call `revert-buffer' to get the link face updated.
>>
>> Same if teh target do exist and I decide to delete it with
>> `dired-do-delete'.
>
> Even if you have auto-revert-mode turned on in that Dired buffer?
I have tried now with:

dired-auto-revert-mode equals t
dired-auto-rever-mode equals 'dired-directory-changed-p

I still need to push `g' key to get the link face updated.  I bet that 
would be the first bug report for this feature.